Skip to main content
GET
/
gpus
/
v2
/
endpoints
List Endpoints
curl --request GET \
  --url https://api.novita.ai/gpus/v2/endpoints \
  --header 'Authorization: <authorization>'
import requests

url = "https://api.novita.ai/gpus/v2/endpoints"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://api.novita.ai/gpus/v2/endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "endpoint-id",
      "name": "example-endpoint",
      "app_name": "example-app",
      "status": {
        "status": "running",
        "error": "",
        "message": ""
      },
      "url": "https://endpoint.example.com/endpoint-id",
      "product_id": "product-id",
      "worker_config": {
        "max_replicas": 2,
        "min_replicas": 0,
        "idle_timeout": 300,
        "max_concurrent_per_worker": 10,
        "gpu_num": 1,
        "rootfs_size_gb": 20,
        "min_cuda_version": "12.4",
        "request_timeout": 60
      },
      "policy": {
        "type": "queue",
        "value": 100
      },
      "image": "registry.example.com/namespace/image:tag",
      "registry_auth_id": "registry-auth-id",
      "entrypoint": "",
      "command": "go run main.go",
      "volumes": [
        {
          "id": "storage-id",
          "type": "network",
          "size": 123,
          "mount_point": "/data"
        }
      ],
      "envs": [
        {
          "key": "ENV_NAME",
          "value": "ENV_VALUE"
        }
      ],
      "ports": [
        8080
      ],
      "workers": [
        {
          "id": "worker-id",
          "status": {
            "status": "ready",
            "error": "",
            "message": ""
          },
          "log": "https://logs.example.com/worker-id",
          "health": true,
          "drain": false
        }
      ],
      "health_check": {
        "path": "/healthz",
        "port": 8080
      },
      "region_id": "region-id",
      "member_id": "member-id",
      "owner_id": "550e8400-e29b-41d4-a716-446655440000",
      "created_at": 1710000000
    }
  ],
  "next_cursor": "next-endpoint-cursor",
  "has_more": true
}

Headers

Authorization
string
required

Bearer authentication format, e.g.: Bearer {{API_KEY}}.

Query Parameters

limit
integer

Maximum number of items to return. Integer, value >= 0.

cursor
string

Pagination cursor. String, length: 0-1024 characters.

keyword
string

Search keyword.

member_ids
string

Filter by member ID. Multiple IDs are comma-separated.

Response

200 - application/json

OK

data
object[]

Endpoint list

next_cursor
string

Cursor for the next page. Empty string when there is no next page

Example:

"next-endpoint-cursor"

has_more
boolean

Whether there are more pages

Example:

true

Last modified on June 23, 2026